2.13.1 Warning при чистой установки и при обновлении 2.X

 
Посетитель
small user social cms
МедальПочетный донор проекта
Сообщений: 279
Всем привет!

Решил обновить сайты до 2.13.1 и установить еще один с ноля.
Что при обновлении, что при чистой установки, при включенной отладке, в админке, вылазит предупреждение - Warning: exec() has been disabled for security reasons in /var/www/пользователь/data/www/сайт.ру/system/libs/files.helper.php on line 612

Подскажите пожалуйста, как решить проблему?

Если я не ошибаюсь, это предупреждение исходит от настроек сервера, а именно из php.ini - exec был отключен по соображениям безопасности.

На всякий случай, строка из php.ini: disable_functions = exec,shell_exec,system,passthru,popen,proc_open,leak,listen,chgrp,closelog,debugger_off,debugger_on,define_sys
Редактировалось: 1 раз (Последний: 3 февраля 2020 в 14:53)
Super omnia veritas!
Посетитель
small user social cms
Медаль
Сообщений: 280
В строке 612 используется функция exec().
Если у вас есть доступ к php.ini, приведите строку к виду
disable_functions = shell_exec,system,passthru,popen,proc_open,leak,listen,chgrp,closelog,debugger_off,debugger_on,define_sys
Посетитель
small user social cms
МедальПочетный донор проекта
Сообщений: 279
@IamB:

В строке 612 используется функция exec().
Если у вас есть доступ к php.ini, приведите строку к виду
disable_functions = shell_exec,system,passthru,popen,proc_open,leak,listen,chgrp,closelog,debugger_off,debugger_on,define_sys

Благодарю за помощь, все получилось!
Super omnia veritas!
В начало страницы
Предыдущая темаСледующая тема Перейти на форум: